{
	"name": "form/local/input/task/task1/layout.json",
	"layout": {
		"component": "nc-form",
		"attribute": {
			"id": "task1"
		},
		"element": [
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "8/12"
						},
						"element": [
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Description",
												"attribute": {
													"model": "hdr.task.description"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "9/12"
										},
										"element": [
											{
												"component": "nc-textarea",
												"attribute": {
													"type": "text",
													"model": "rec.task.description",
													"rows": "3"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "3/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Priority",
												"attribute": {
													"model": "hdr.task.priority"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "2/12"
										},
										"element": [
											{
												"component": "nc-input",
												"attribute": {
													"type": "text",
													"model": "rec.task.priority"
												}
											}
										]
									}
								]
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "4/12"
						},
						"element": [
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "4/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "Type",
												"attribute": {
													"model": "hdr.task.task_type"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "8/12"
										},
										"element": [
											{
												"component": "nc-dropdown",
												"attribute": {
													"type": "popup",
													"model": "rec.task.task_type"
												}
											}
										]
									}
								]
							},
							{
								"component": "nc-row",
								"element": [
									{
										"component": "nc-col",
										"attribute": {
											"width": "4/12"
										},
										"element": [
											{
												"component": "nc-label",
												"text": "State",
												"attribute": {
													"model": "hdr.task.task_state"
												}
											}
										]
									},
									{
										"component": "nc-col",
										"attribute": {
											"width": "8/12"
										},
										"element": [
											{
												"component": "nc-dropdown",
												"attribute": {
													"type": "text",
													"model": "rec.task.task_state"
												}
											}
										]
									}
								]
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Timer rule",
								"attribute": {
									"model": "hdr.task.timer_rule"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "10/12"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.task.timer_rule"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Start time",
								"attribute": {
									"model": "hdr.task.start_time"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.task.start_time"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Estimated work time",
								"attribute": {
									"model": "hdr.task.estimated_work_time"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.task.estimated_work_time"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Due time",
								"attribute": {
									"model": "hdr.task.due_time"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-input",
								"attribute": {
									"type": "text",
									"model": "rec.task.due_time"
								}
							}
						]
					}
				]
			},
			{
				"component": "nc-row",
				"element": [
					{
						"component": "nc-col",
						"attribute": {
							"width": "2/12"
						},
						"element": [
							{
								"component": "nc-label",
								"text": "Json data",
								"attribute": {
									"model": "hdr.task.json_data"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "5/12"
						},
						"element": [
							{
								"component": "nc-textarea",
								"attribute": {
									"type": "text",
									"model": "rec.task.json_data",
									"rows": "15"
								}
							}
						]
					},
					{
						"component": "nc-col",
						"attribute": {
							"width": "5/12"
						},
						"element": [
							{
								"component": "pre",
								"attribute": {
									"json": "rec.task.json_data",
									"pretty-json": "pretty-json"
								}
							}
						]
					}
				]
			}
		]
	}
}
